# Interface EvmInfo

#### Hierarchy

- EvmInfo

- Defined in codec/lib/evm/types.ts:36

#####
Index

### Properties

allocations
contexts?
currentContext?
internalFunctionsTable?
mappingKeys?
state
userDefinedTypes?

## Properties

### allocations

allocations: AllocationInfo

- Defined in codec/lib/evm/types.ts:40

### `Optional` contexts

contexts?: Contexts

- Defined in codec/lib/evm/types.ts:41

### `Optional` currentContext

currentContext?: Context

- Defined in codec/lib/evm/types.ts:42

### `Optional` internalFunctionsTable

internalFunctionsTable?: InternalFunctions

- Defined in codec/lib/evm/types.ts:43

### `Optional` mappingKeys

mappingKeys?: Slot[]

- Defined in codec/lib/evm/types.ts:38

### state

state: EvmState

- Defined in codec/lib/evm/types.ts:37

### `Optional` userDefinedTypes

userDefinedTypes?: TypesById

- Defined in codec/lib/evm/types.ts:39

Generated using TypeDoc